#define ccCRLF chr(13) + chr(10)

close tables all
use home() + 'samples\northwind\customers'

* Generate plain XML.

lcXML = '<customers>'
scan
	lcXML = lcXML + ;
		'<customer>' + ;
			'<company>' + trim(CompanyName) + '</company>' + ;
			'<contact>' + trim(ContactName) + '</contact>' + ;
			'<city>'    + trim(City)        + '</city>' + ;
		'</customer>'
endscan
lcXML = lcXML + '</customers>'
strtofile(lcXML, 'Customers.xml')
modify file Customers.XML

* Now format it and use text merge instead.

lcXML = '<customers>' + ccCRLF
scan
	text to lcXML additive noshow textmerge
	<customer>
		<company><<trim(CompanyName)>></company>
		<contact><<trim(ContactName)>></contact>
		<city><<trim(City)>></city>
	</customer>

	endtext
endscan
lcXML = lcXML + '</customers>' + ccCRLF
strtofile(lcXML, 'CustomersManual.xml')
modify file CustomersManual.XML
