
close tables all
use home() + 'samples\northwind\customers'
loXML = newobject('SFXML', 'SFXML.vcx')

* Set the root and element node names and flag that we should add white space.

loXML.cRootNode      = 'customers'
loXML.cElementNode   = 'customer'
loXML.lAddWhiteSpace = .T.

* Go through each customer and create an element for it.

scan
	loCust = loXML.CreateNode()

* Set the attributes.

	loCust.setAttribute('company', trim(COMPANYNAME))
	loCust.setAttribute('contact', trim(CONTACTNAME))
	loCust.setAttribute('city',    trim(CITY))

* Add the customer element to the XML.

	loXML.SaveNode(loCust, .T.)
endscan

* View the XML.

loXML.SaveXML('CustomersSFXML.xml')
modify file CustomersSFXML.xml nowait
