local loXML as MSXML2.DOMDocument.3.0, ;
	loNode as MSXML2.IXMLDOMNode

loXML = createobject('MSXML2.DOMDocument.3.0')

* Load the XML.

loXML.async = .F.
if not loXML.load('CustomerOrdersDOM.xml')
	messagebox('The XML could not be loaded. The error message is:' + ;
		chr(13) + chr(13) + loXML.parseError.reason + chr(13) + + ;
		'Line: ' + transform(loXML.parseError.line) + ' Position: ' + ;
		transform(loXML.parseError.linepos))
	return
endif not loXML.load('CustomerOrdersDOM.xml')

* Find order ID 10308; either of these works.

loNode = loXML.selectSingleNode("/customers/customer/order[@orderid='10308']")
loNode = loXML.selectSingleNode("/customers/customer[@id='ANATR']/order[@orderid='10308']")

* Get and display the attributes of that order.

lcOrdDate = loNode.getAttribute('orderdate')
ldOrdDate = cast(lcOrdDate as D)
lcReqDate = loNode.getAttribute('reqdate')
ldReqDate = cast(lcReqDate as D)
messagebox('Order 10308 was ordered on ' + transform(ldOrdDate) + ;
	' and is required by ' + transform(ldReqDate))

* See how many customers we have in London.

loNodes = loXML.selectNodes("/customers/customer[@city='London']")
messagebox('There are ' + transform(loNodes.length) + ' customers in London.')

* Display the orders for the first one.

loNode   = loNodes.item(0)
loOrders = loNode.selectNodes('order')
lcOrders = ''
for each loOrder in loOrders
	lcOrders = lcOrders + iif(empty(lcOrders), '', chr(13)) + ;
		loOrder.getAttribute('orderid')
next loOrder
messagebox(loNode.getAttribute('company') + ' has the following orders:' + ;
	chr(13) + chr(13) + lcOrders)
