lparameters tcURL, ;
	tcFile
local lcContent, ;
	lnHandle, ;
	lnSession, ;
	lnRequest, ;
	lnResult, ;
	llDone, ;
	lnSize, ;
	lcBuffer, ;
	lnBytes

* Declare the Internet API functions we'll need.

declare integer InternetOpen in WinINet.DLL string, integer, string, string, ;
	integer
declare integer InternetConnect in WinINet.DLL integer, string, integer, ;
	string, string, integer, integer, integer
declare integer HttpOpenRequest in WinINet.DLL integer, string, string, ;
	string, string, string, integer, integer
declare integer HttpSendRequest in WinINet.DLL integer, string, integer, ;
	string, integer
declare integer InternetReadFile in WinINet.DLL integer, string @, integer, ;
	integer @
declare integer InternetCloseHandle in WinINet.DLL integer

* Open a connection.

lcContent = ''
lnHandle  = InternetOpen('', 1, '', '', 0)
if lnHandle > 0

* Connect to the specified server.

	lnSession = InternetConnect(lnHandle, tcURL, 80, '', '', 3, 0, 0)
	if lnSession > 0

* Request the specified file..

		lnRequest = HttpOpenRequest(lnSession, 'GET', tcFile, .NULL., .NULL., ;
			.NULL., 2147483648, 0) 
		if lnRequest > 0
			lnResult = HttpSendRequest(lnRequest, '', 0, '', 0)
			if lnResult > 0

* Read the file 4096 bytes at a time.

				llDone = .F.
				do while not llDone
					lnSize   = 4096
					lcBuffer = space(lnSize)
					lnBytes  = 0
					lnResult = InternetReadFile(lnRequest, @lcBuffer, ;
						lnSize, @lnBytes)
					if lnResult = 1 and lnBytes > 0
						lcContent = lcContent + left(lcBuffer, lnBytes)
					else
						llDone = .T.
					endif lnResult = 1 ...
				enddo while not llDone
			endif lnResult > 0

* Cleanup and exit.

			InternetCloseHandle(lnRequest)
		endif lnRequest > 0
		InternetCloseHandle(lnSession)
	endif lnSession > 0
	InternetCloseHandle(lnHandle)
endif lnHandle > 0
return lcContent
